# Resident Portal

 # Overview

 Resident portals are provided to the unit owners to view and update unit details and secrets. The Resident Portal APIs support these functions. These provide details on the property, units and DPSK secrets associated. The APIs also support updates of contact details and DPSK secrets. APIs are authenticated using a specific token associated to the unit. These tokens are generated as the unit is created.


Version: v0
License: RUCKUS Cloud Privacy Policy

## Servers

RUCKUS One API host for North American region.
```
https://api.ruckus.cloud
```

RUCKUS One API host for European region.
```
https://api.eu.ruckus.cloud
```

RUCKUS One API host for Asian region.
```
https://api.asia.ruckus.cloud
```

## Download OpenAPI description

[Resident Portal](https://docs.ruckus.cloud/_bundle/api/resident-portal-0.0.1.yaml)

## Resident Portal Login API

Manages resident portal access.

### Access Resident Portal

 - [POST /residents/properties/{propertyId}/units/logins](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-login-api/residentlogin.md): Enables user authentication and authorization.

## Resident Portal UI Configuration

Provides resident portal UI configuration.

### Gets Resident Portal Styles

 - [GET /residents/properties/{propertyId}/styles](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-ui-configuration/getpropertystyles.md): Gets resident portal page details.

### Gets Resident Portal Icon File

 - [GET /residents/properties/{propertyId}/files/favicons](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-ui-configuration/downloadfavicons.md): Enables the user to get a resident portal icon file for the property.

### Gets Portal Access Details

 - [GET /residents/properties/{propertyId}/access](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-ui-configuration/gettenantportalaccess.md): Fetches resident portal access details.

## Resident Portal Configuration

Manages resident portal configuration.

### Gets Property Details

 - [GET /residents/properties/{propertyId}](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-configuration/residentfetchproperty.md): Gets details of the property.

### Gets User Interface Configurations

 - [GET /residents/properties/{propertyId}/uiConfigurations](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-configuration/residentfetchuiconfiguration.md): Gets user interface configurations for the portal.

### Gets Resident Portal File

 - [GET /residents/properties/{propertyId}/files/{type}](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-configuration/residentdownloadportalfile.md): Allows the user to download resident portal file with the given type.

## Resident Portal Unit API

Manages units associated to the resident portal.

### Gets Unit Details

 - [GET /residents/properties/{propertyId}/units](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-unit-api/residentfetchunit.md): Gets unit details for the authenticated unit.

### Selectively Updates Unit Configurations

 - [PUT /residents/properties/{propertyId}/units](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-unit-api/residenteditunit.md): Allows the user to selectively update unit configurations such as passphrase, contact details.

### Gets Unit Devices

 - [GET /residents/properties/{propertyId}/units/devices](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-unit-api/residentfetchunitdevices.md): Allows the user to get all unit and guest devices with the given unit id.

### Delete Device

 - [DELETE /residents/properties/{propertyId}/units/devices/{deviceId}](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-unit-api/residentremovedevice.md): Allows the user to selectively remove unit device on the specified unit and device MAC address.

## Resident Portal Unit Users API

Manages users of unit associated to the resident portal.

### Get unit user details

 - [GET /residents/properties/{propertyId}/units/users/{userId}](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-unit-users-api/getunituser.md): Gets unit user details for the requested user.

### Updates Unit User

 - [PUT /residents/properties/{propertyId}/units/users/{userId}](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-unit-users-api/updateunituser.md): Enables update of unit user.

### Query Unit Users

 - [POST /residents/properties/{propertyId}/units/users/query](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-unit-users-api/queryunitusers.md): Gets the list of unit users using the specified query.

### Get unit user devices

 - [GET /residents/properties/{propertyId}/units/users/{userId}/devices](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-unit-users-api/getunituserdevices.md): Gets unit user devices for the requested user.

### Delete Unit User Device

 - [DELETE /residents/properties/{propertyId}/units/users/{userId}/devices/{deviceId}](https://docs.ruckus.cloud/api/resident-portal-0.0.1/resident-portal-unit-users-api/removeunituserdevice.md): Allows the user to selectively remove a device.

